Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_TSS_TPQ_Entry Class Reference

ACE_TSS_TPQ_Entry. More...

`#include <Local_Tokens.h>`

Inheritance diagram for ACE_TSS_TPQ_Entry:

[legend]
Collaboration diagram for ACE_TSS_TPQ_Entry:

[legend]
List of all members.

## Public Methods
| ACE_TSS_TPQ_Entry (const ACE_Token_Proxy *proxy, const ACE_TCHAR *client_id)
virtual | ~ACE_TSS_TPQ_Entry (void)
| Destructor.
virtual ACE_TPQ_Entry * | make_TSS_TYPE (void) const
| Allows us to pass args to the construction of the TSS object.
| operator ACE_TPQ_Entry * (void)
| Operator overloading and inheritence don't mix.
void | dump (void) const
| Dump the state of the class.
ACE_TPQ_Entry * | operator-> (void)
## Private Methods
| ACE_TSS_TPQ_Entry (const ACE_TSS_TPQ_Entry &)
| Private: should not be used.
void | operator= (const ACE_TSS_TPQ_Entry &)
## Private Attributes
const ACE_Token_Proxy * | proxy_
| Proxy.
const ACE_TCHAR * | client_id_
| Client_id.

## Detailed Description

ACE_TSS_TPQ_Entry.

Not a public interface.

## Constructor & Destructor Documentation

ACE_TSS_TPQ_Entry::ACE_TSS_TPQ_Entry | ( | const ACE_Token_Proxy * | proxy,
|  | const ACE_TCHAR * | client_id
| ) |

| These are passed to the constructor of ACE_TPQ_Entry in make_TSS_TYPE

virtual ACE_TSS_TPQ_Entry::~ACE_TSS_TPQ_Entry | ( | void |  | ) | `[virtual]`

| Destructor.

ACE_TSS_TPQ_Entry::ACE_TSS_TPQ_Entry | ( | const ACE_TSS_TPQ_Entry & |  | ) | `[private]`

| Private: should not be used.

## Member Function Documentation

void ACE_TSS_TPQ_Entry::dump | ( | void |  | ) | const

| Dump the state of the class. Reimplemented from ACE_TPQ_Entry.

ACE_TPQ_Entry * ACE_TSS_TPQ_Entry::make_TSS_TYPE | ( | void |  | ) | const`[virtual]`

| Allows us to pass args to the construction of the TSS object.

ACE_TSS_TPQ_Entry::operator ACE_TPQ_Entry * | ( | void |  | ) |

| Operator overloading and inheritence don't mix.

ACE_TPQ_Entry* ACE_TSS_TPQ_Entry::operator-> | ( | void |  | ) | `[inline]`

void ACE_TSS_TPQ_Entry::operator= | ( | const ACE_TSS_TPQ_Entry & |  | ) | `[private]`

## Member Data Documentation

const ACE_TCHAR* ACE_TSS_TPQ_Entry::client_id_`[private]`

| Client_id. Reimplemented from ACE_TPQ_Entry.

const ACE_Token_Proxy* ACE_TSS_TPQ_Entry::proxy_`[private]`

| Proxy. Reimplemented from ACE_TPQ_Entry.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Local_Tokens.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Local_Tokens.cpp